import { v3_array_normalize } from "../../../../core/geom/vec3/v3_array_normalize.js";

/**
 *
 * @param {number[]|Float32Array} input
 * @param {number} [input_offset]
 * @param {number} [input_length]
 */
export function v3_array_normalize_many(
    input,
    input_offset = 0,
    input_length = (input.length - input_offset)
) {

    const end = input_offset + input_length;

    for (let i = input_offset; i < end; i += 3) {

        v3_array_normalize(input, i, input, i);

    }
}